#include <iostream>
#include <string>
#include "fdstream.hh"

int main() {
  // Will output on stdout every other line coming from stdin

  fdistream fdin(STDIN_FILENO);
  fdostream fdout(STDOUT_FILENO);
  int i = 0;

  for (std::string s;   getline(fdin, s);   ++i)
    if (i & 1) fdout << s << '\n';

  return 0;
}
